com.amazonaws.services.simpleworkflow.model

## Class RecordMarkerDecisionAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.RecordMarkerDecisionAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class RecordMarkerDecisionAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `RecordMarker` decision.

Access Control

You can use IAM policies to control this decision's access to Amazon SWF resources as follows:

- Use a `Resource` element with the domain name to limit the action to only specified domains.
- Use an `Action` element to allow or deny permission to call this action.
- You cannot use an IAM policy to constrain this action's parameters.

If the caller does not have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter will be set to OPERATION_NOT_PERMITTED. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RecordMarkerDecisionAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RecordMarkerDecisionAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getDetails()` Optional. details of the marker.
`String` `getMarkerName()` Required. The name of the marker.
`int` `hashCode()`
`void` `setDetails(String details)` Optional. details of the marker.
`void` `setMarkerName(String markerName)` Required. The name of the marker.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RecordMarkerDecisionAttributes` `withDetails(String details)` Optional. details of the marker.
`RecordMarkerDecisionAttributes` `withMarkerName(String markerName)` Required. The name of the marker.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RecordMarkerDecisionAttributes

    public RecordMarkerDecisionAttributes()

### Method Detail

#### setMarkerName

    public void setMarkerName(String markerName)

Required. The name of the marker.

Parameters:
  `markerName` - Required.

#### getMarkerName

    public String getMarkerName()

Required. The name of the marker.

Returns:
  Required.

#### withMarkerName

    public RecordMarkerDecisionAttributes withMarkerName(String markerName)

Required. The name of the marker.

Parameters:
  `markerName` - Required.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDetails

    public void setDetails(String details)

Optional. details of the marker.

Parameters:
  `details` - Optional.

#### getDetails

    public String getDetails()

Optional. details of the marker.

Returns:
  Optional.

#### withDetails

    public RecordMarkerDecisionAttributes withDetails(String details)

Optional. details of the marker.

Parameters:
  `details` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RecordMarkerDecisionAttributes clone()

Overrides:
  `clone` in class `Object`